DUET PlatformDocs
API referenceRead APIIssues and work orders

List issues

planned

Planned

This endpoint isn't available yet. Until it is, it answers 501 Not Implemented.
GET
/platform/v1/issues

Lists the issues in a project. Each issue has the same shape as in the issue.* webhooks.

Authorization

Bearer
headerAuthorizationBearer <token>

Query Parameters

project_id*string

The ID of the project to list issues for.

status?string

Returns only issues with this status.

priority?string

Returns only issues with this priority.

Value in"urgent""high""medium""low"
updated_since?string

Returns only rows that changed at or after this time.

Formatdate-time
limit?integer

The maximum number of rows to return. The default is 1,000 and the maximum is 10,000.

Range1 <= value <= 10000
Default1000
offset?|

The number of rows to skip.

Range0 <= value
Default0

Response Body

The issues in the project.

application/json
  1. response
[index: integer]?

An issue, as it was when the change happened, with its devices and work orders.

Example Request
curl -X GET 'https://api.enurgen.com/platform/v1/issues?project_id=string'
Example Response
[  {    "id": "string",    "number": 0,    "organization_id": "string",    "project_id": "string",    "project": {      "key": "string"    },    "sentinel_tag": "string",    "name": "string",    "description": "string",    "status": "string",    "priority": "urgent",    "source": "string",    "effective_from": "2019-08-24T14:15:22Z",    "effective_to": "2019-08-24T14:15:22Z",    "resolved_at": "2019-08-24T14:15:22Z",    "assigned_to": {      "id": "string",      "first_name": "string",      "last_name": "string",      "email": "string"    },    "created_by": {      "id": "string",      "first_name": "string",      "last_name": "string",      "email": "string"    },    "devices": [      {        "device_id": "string",        "component": "string",        "effective_from": "2019-08-24T14:15:22Z",        "effective_to": "2019-08-24T14:15:22Z"      }    ],    "work_orders": [      {        "id": "string",        "number": 0,        "organization_id": "string",        "project_id": "string",        "project": {          "key": "string"        },        "issue_id": "string",        "title": "string",        "description": "string",        "status": "string",        "priority": "urgent",        "due_date": "2019-08-24T14:15:22Z",        "work_type": "string",        "external_system": "string",        "external_id": "string",        "external_ref": "string",        "external_url": "string",        "payload": {          "property1": null,          "property2": null        },        "assigned_to": {          "id": "string",          "first_name": "string",          "last_name": "string",          "email": "string"        },        "devices": [          {            "device_id": "string",            "component": "string",            "status": "string",            "completed_at": "2019-08-24T14:15:22Z"          }        ],        "created_at": "2019-08-24T14:15:22Z",        "updated_at": "2019-08-24T14:15:22Z"      }    ],    "created_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z"  }]